Package jakarta.servlet

# Interface FilterChain

public interface FilterChain
A FilterChain is an object provided by the servlet container to the developer giving a view into the invocation chain of a filtered request for a resource. Filters use the FilterChain to invoke the next filter in the chain, or if the calling filter is the last filter in the chain, to invoke the resource at the end of the chain.

Since:
  Servlet 2.3
See Also:
  - `Filter`

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(ServletRequest request, ServletResponse response)`
Causes the next filter in the chain to be invoked, or if the calling filter is the last filter in the chain, causes the resource at the end of the chain to be invoked.

## Method Details

### doFilter

void doFilter(ServletRequest request, ServletResponse response) throws IOException, ServletException
Causes the next filter in the chain to be invoked, or if the calling filter is the last filter in the chain, causes the resource at the end of the chain to be invoked.

Parameters:
  `request` - the request to pass along the chain.
  `response` - the response to pass along the chain.
Throws:
  `IOException` - if an I/O error occurs during the processing of the request
  `ServletException` - if the processing fails for any other reason